Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.MultiChannelAssociation (grizzly v7.4.2)

"MultiChannelAssociation" Command Class

The Multi Channel Association Command Class is used to manage associations to Multi Channel End Point destinations as well as to NodeID destinations.

# Summary

## Types

node_endpoint()

## Functions

decode_nodes_and_node_endpoints(binary)
encode_node_endpoints(node_endpoints)

# Types

Link to this type

# node_endpoint()

View Source

    @type node_endpoint() :: [
      node: Grizzly.ZWave.node_id(),
      bit_address: 0 | 1,
      endpoint: 1..127
    ]

# Functions

Link to this function

# decode_nodes_and_node_endpoints(binary)

View Source

    @spec decode_nodes_and_node_endpoints(binary()) ::
      {[Grizzly.ZWave.node_id()], [node_endpoint()]}

Link to this function

# encode_node_endpoints(node_endpoints)

View Source

    @spec encode_node_endpoints([node_endpoint()]) :: binary()